from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext

# env MACOSX_DEPLOYMENT_TARGET="10.6" ARCHFLAGS="-arch i386" CFLAGS="-arch i386" LDFLAGS="-arch i386" python2.7 setup_g2l.py build_ext --inplace

ext_modules = [Extension("g2l", ["g2l.pyx"])]

setup(
  name = 'Grid to Location',
  cmdclass = {'build_ext': build_ext},
  ext_modules = ext_modules
)

