def fit_poles(row,polarity,slpint,row_start,row_end,verbose=0):
    pole = slpint[row_start[row]]
    # For poles to be minimum the SLP must be < all the longitudes
    #   of the next equatorward latitude
    next_lons = sorted([slpint[x] for x in
        xrange(row_start[row+polarity],row_end[row+polarity]+1)])
        # In case next_lons all the same value, use the next latiudue out
    if verbose:
        print "\nTesting Pole SLP (%d): %d" % (row,pole)
        print "Testing Row SLPs (%d): %s" % (row+polarity,next_lons)
    if next_lons[0] == next_lons[-1]:
        next_lons = sorted([slpint[x] for x in
            xrange(row_start[row+polarity+polarity],
            row_end[row+polarity+polarity]+1)])
        if verbose:
            print "Testing NewRow SLPs (%d): %s" % (row+polarity+polarity,next_lons)
    if next_lons[0] == next_lons[-1]:
        # Too flat near pole not a minima
        if verbose: "Too Flat"
        return 0
    less_than = [x for x in next_lons if x < pole]
    if verbose:
        print "Less_Than:",less_than
    if less_than:
        # Not a minima
        if verbose: print "Not Minima"
        return 0
    # Must be a minima
    if verbose: print "Minima!"
    return 1

