from print_columns import PrintColumns
def form_overlap_sets(pool,screen):
    """Find the overlap sets for all centers."""
    overlap_set = {}
    for center in pool:
        region = screen[center]
        overlap_set[center] = set([g for g in pool if g in region])
        if not overlap_set[center]:
            print "\n\tWarning No Center Overlap %07d" % center
            PrintColumns(region,indent_tag="\t\t",fmt="%7d ",cols=10,width=10)
            return 1
    return overlap_set
