import os
# author jimmy booth
#        updated by MB
from extras import ProgressBarAlt

def rewrite(in_file,years,action="w",reorder=False):

    did_files = []
    #---------------------------------------------------------------------------
    # Partition unified file by year
    #---------------------------------------------------------------------------
    if len(years) < 2:
        out_file = in_file.replace("%04d_%04d" % (years[0],years[-1]),
                                   "%04d" % (years[0]))
        # Only a single year
        os.rename(in_file,out_file)
        return([out_file])

    read_file = open(in_file,"r")

    yyyy = years[:]
    first_year = years[0]
    yyyy.reverse()

    this_year = yyyy.pop()
    last_year = this_year - 1

    yrlydir = {}
    for nyear in years:
        out_file = in_file.replace("%04d_%04d" % (years[0],years[-1]),
                               "%04d" % (nyear))
        save_file = open(out_file,action)
        yrlydir[nyear] = save_file
        did_files.append(out_file)

    read_file = open(in_file,"r")
    yyyy = years[:]
    first_year = years[0]
    yyyy.reverse()

    this_year = yyyy.pop()
    last_year = this_year - 1

    for line in read_file:
        year_line = int(line[0:4])
        savetofile = yrlydir[year_line]
        savetofile.writelines(line)

    yrlydirkeys = yrlydir.keys()
    for nyear in yrlydirkeys:
        filetoclose = yrlydir[nyear]
        filetoclose.close()

    # For detached file I need to reorder as append didn't tac things
    # on in chronological order
    if reorder:
        rev_file = out_file.replace(str(years[-1]),str(years[0]-1))
        ProgressBarAlt
        pbara = ProgressBarAlt(years,"\tReordering Files... ",60)
        #pbara = years
        for loop_year in pbara:
            rev_file = rev_file.replace(str(loop_year-1),str(loop_year))
            read_f = open (rev_file,"r")
            ucis = {}
            for line in read_f:
                parts = line.split()
                uci = parts[14]
                ucis[uci] = line
            read_f.close()
            items = ucis.keys()
            items.sort()
            # Write to tmp file
            write_f = open("tmp.txt","w")
            for item in items:
                write_f.writelines(ucis[item])
            write_f.close()
            # Replace original
            #os.rename('tmp.txt',rev_file)
            os.system('mv %s %s' % ('tmp.txt',rev_file))
            #print "\t\t\t%s" % (rev_file)

    return (did_files)

