#!/usr/bin/env python -tt
'''Compile python code into C libraries using pyrex'''
from distutils.core import setup
from distutils.extension import Extension
from Cython.Distutils import build_ext
import sys
import numpy 
cmd = 'env MACOSX_DEPLOYMENT_TARGET="10.6" ARCHFLAGS="-arch i386" CFLAGS="-arch i386" LDFLAGS="-arch i386" python2.7 setup_cython.py build_ext --inplace'
cmd = 'python setup_cython.py build_ext --inplace'
print "\n\n\tUse:\n\t\t%s\n\n" % cmd
tmp = sys.argv[0]

# make w/ vnum
g2l = 'g2l'
gcd = 'gcd'
rhumb_line_nav = 'rhumb_line_nav'
get_true_row = 'get_true_row'
make_gdict = 'make_gdict'
make_gdict_outer = 'make_gdict_outer'
shift_gridid = 'shift_gridid'

setup(
  name = "cython_stuff",
  ext_modules=[ 
      Extension(g2l,[g2l+".pyx"],),
      Extension(gcd,[gcd+".pyx"],),
      Extension(rhumb_line_nav,[rhumb_line_nav+".pyx"],),
      Extension(get_true_row,[get_true_row+".pyx"],),
      Extension(make_gdict,[make_gdict+".pyx"],include_dirs=[numpy.get_include()]),
      Extension(make_gdict_outer,[make_gdict_outer+".pyx"],include_dirs=[numpy.get_include()]),
      Extension(shift_gridid,[shift_gridid+".pyx"],include_dirs=[numpy.get_include()]),
  ],
    cmdclass = {'build_ext': build_ext})

