#!/usr/bin/env python -tt
'''Compile python code into C libraries using pyrex'''
from distutils.core import setup
from distutils.extension import Extension
from Pyrex.Distutils import build_ext
import sys

print "\n\n\tUse:\n\t\tpython setup_pyrex.py build_ext --inplace\n\n"
tmp = sys.argv[0]

# make w/ vnum
g2l = 'g2l'
gcd = 'gcd'
rhumb_line_nav = 'rhumb_line_nav'

setup(
  name = "pyrex_stuff",
  ext_modules=[ 
      Extension(g2l,[g2l+".pyx"],),
      Extension(gcd,[gcd+".pyx"],),
      Extension(rhumb_line_nav,[rhumb_line_nav+".pyx"],),
  ],
    cmdclass = {'build_ext': build_ext})
